% **************************************************************************** %
% Author: Lambert Theisen
% => lambert.theisen@rwth-aachen.de
% => lambert.theisen@gmail.com
% Created: January 2019
% **************************************************************************** %



% **************************************************************************** %
% BIBLIOGRAPHY AND REFERENCES
% **************************************************************************** %

  % -------------------------------------------------------------------------- %
  % 2) BIBLATEX WITH BIBER
  % => The modern approach, more powerful than natbib
  % => Use with "\printbibliography{}" in document
  %    and "\addbibresource{refs.bib}" in preamble
  % => For page numbers, use "\cite[123,124]{key}" == [1, pp. 123, 124]
  %    The use of "f" and "ff" is not recommended, see:
  %    https://english.stackexchange.com/questions/115784 ...
  %    /is-the-latin-abbreviation-f-folio-commonly-used-in-page-ranges
  % -------------------------------------------------------------------------- %

    % ------------------------------------------------------------------------ %
    % UMLAUTE
    % => e.g for use of "<" in text
    % ------------------------------------------------------------------------ %
      \usepackage[utf8]{inputenc}
    % ------------------------------------------------------------------------ %


    % ------------------------------------------------------------------------ %
    % Biblatex loads url package, so pass option to break urls at hyphens
    % ------------------------------------------------------------------------ %
      \PassOptionsToPackage{hyphens}{url}
    % ------------------------------------------------------------------------ %

    % ------------------------------------------------------------------------ %
    % Use language specific quotes, needed by biblatex
    % ------------------------------------------------------------------------ %
      \usepackage{csquotes}
    % ------------------------------------------------------------------------ %

    \usepackage[
      backend=biber, % use biber
      style=numeric, % numeric style [1]
      hyperref=true,
      sorting=nty, % name title year
      giveninits=true, % abbreviate first names Brigitte => B.
      maxbibnames=999, % no et al
      sortcites, % sort muti-cites: [3,14,39]
      date=year,
      isbn=true,
      doi=false,
      eprint=false,
      % backref=true,  % link to pages where cited
      % abbreviate=false, % Auflage instead of Aufl
      % urldate=comp,
      % dateabbrev=false,
    ]{biblatex}

    % ------------------------------------------------------------------------ %
    % Avoid line break in Citation caused by microtype package
    % Applies to:
    % 1) pages
    % 2) multicites
    % ------------------------------------------------------------------------ %
      \renewcommand{\postnotedelim}{,~}
      % \renewcommand{\multicitedelim}{,~}
    % ------------------------------------------------------------------------ %

    % ------------------------------------------------------------------------ %
    % Change font of e.g. "URL" or "DOI" to match the document font
    % ------------------------------------------------------------------------ %
      \renewcommand*{\mkbibacro}[1]{#1}
    % ------------------------------------------------------------------------ %

    % Remove quotation marks for inbook
    % \DeclareFieldFormat[inbook]{citetitle}{#1}
    % \DeclareFieldFormat[inbook]{title}{#1}

    % ------------------------------------------------------------------------ %
    % Link to Bibliography when citing author
    % ------------------------------------------------------------------------ %
      \DeclareCiteCommand{\citeauthor}
        {\boolfalse{citetracker}%
        \boolfalse{pagetracker}%
        \usebibmacro{prenote}}
        {\ifciteindex
          {\indexnames{labelname}}
          {}%
        \printtext[bibhyperref]{\printnames{labelname}}}
        {\multicitedelim}
        {\usebibmacro{postnote}}
    % ------------------------------------------------------------------------ %

  % -------------------------------------------------------------------------- %

% **************************************************************************** %